package com.agile611.testng.webdriver;

import org.openqa.selenium.By;
import org.testng.annotations.Test;

public class ManipulationTest extends BaseTest {
    @Test //Opciones de Navegación
    public void testNavigation() throws Exception {
        driver.get("https://www.duckduckgo.com/"); //Navegar hasta duckduckgo
        driver.findElement(By.id("searchbox_input")).clear(); //Limpiar el text box
        driver.findElement(By.id("searchbox_input")).sendKeys("pizza hawaiana"); //Escribir en el text box
        driver.findElement(By.id("searchbox_input")).submit(); //Submit, darle al enter.
        Thread.sleep(2000); //Espera forzada

        driver.get("https://www.duckduckgo.com/"); //Navegar hasta duckduckgo
        driver.findElement(By.id("searchbox_input")).clear(); //Limpiar el text box
        driver.findElement(By.id("searchbox_input")).sendKeys("tortellini al pesto"); //Escribir en el text box
        driver.findElement(By.id("search_button_homepage")).click(); //click a la lupa. Va a petar porque el id del botón de búsqueda ha cambiado, pero es para mostrar la diferencia entre submit y click.
        Thread.sleep(2000); //Espera forzada
    }
}


